Uses sysutils;
var
max:longint;
a,b,c:ansistring;

Begin
Read(a,b,c);
max:=strtoint(a+b+c);
if strtoint(a+c+b)>max then max:=strtoint(a+c+b);
if strtoint(b+a+c)>max then max:=strtoint(b+a+c);
if strtoint(b+c+a)>max then max:=strtoint(b+c+a);
if strtoint(c+a+b)>max then max:=strtoint(c+a+b);
if strtoint(c+b+a)>max then max:=strtoint(c+b+a);
Writeln(max);
End.